-----------------------------------------------------------------------------------------------
-- Client Lua Script for CraftingMountFix
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------

 
-----------------------------------------------------------------------------------------------
-- CraftingMountFix Module Definition
-----------------------------------------------------------------------------------------------
local CraftingMountFix = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function CraftingMountFix:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function CraftingMountFix:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- CraftingMountFix OnLoad
-----------------------------------------------------------------------------------------------
function CraftingMountFix:OnLoad()
    -- load our form file
	self.xmlDoc = XmlDoc.CreateFromFile("CraftingMountFix.xml")
	self.xmlDoc:RegisterCallback("OnDocLoaded", self)
end

-----------------------------------------------------------------------------------------------
-- CraftingMountFix OnDocLoaded
-----------------------------------------------------------------------------------------------
function CraftingMountFix:OnDocLoaded()



		-- if the xmlDoc is no longer needed, you should set it to nil
		-- self.xmlDoc = nil
		
		-- Register handlers for events, slash commands and timer, etc.
		-- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)


		-- Do additional Addon initialization here
		Apollo.RegisterEventHandler("InvokeCraftingWindow", "onCraftingWindow")
end

-----------------------------------------------------------------------------------------------
-- CraftingMountFix Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here
function onCraftingWindow()
	GameLib:Disembark()
end
-----------------------------------------------------------------------------------------------
-- CraftingMountFixForm Functions
-----------------------------------------------------------------------------------------------
-- when the OK button is clicked

-----------------------------------------------------------------------------------------------
-- CraftingMountFix Instance
-----------------------------------------------------------------------------------------------
local CraftingMountFixInst = CraftingMountFix:new()
CraftingMountFixInst:Init()
